概要

AppCan javascript sdk 是appcan根据自己的需求封装的一个开发库,对底层的接口进行更高层的封装,能让开发者更快速、 高效的开发更加稳定的项目,该库依赖backbonejs、zeptojs、underscorejs默认打包在基础库中,开发者 不需要进行额外的引用,另外在该库的基础上提供了丰富的插件,能让开发者更高效的开发app。

1、框架说明

AppCan前端整体架构

2、使用说明


在项目开发中你只需引入appcan.min.js文件在你的项目中即可,该文件是系统自动根据源文件构建的包 含了文件的所有依赖,然后按照常用的开发流程,进行后续的开发,具体细节参考后续相关文档说明。 例如:

<script type="text/javascript" src="appcan.min.js"></script>
<script type="text/javascript">
    //use sdk do something
</script>
最新jssdk下载

  下载地址:

     

如何更新

  • IDE默认有更新提示,IDE工具帮助》检查更新 再次在IDE创建 新的 应用项目,可以保证使用的最新jssdk框架
  • 手动更新jssdk 主要针对已经创建好的正在开发中的项目,可以手动替换更新

1.将线上下载下来的js文件直接替换当前项目的js文件:IDE安装目录下-->widgetapp-->项目名称-->phone-->js(保证当前项目的js文件是最新版本)

2.将线上下载下来的js文件替换安装目录下:IDE安装目录下-->AppCan-IDE-->plugins-->com.appcan.ide.eclipse.hdt.ui(最新版本)-->templates-->替换custom及phone里的js文件(保证新建项目使用自定义模版是最新的js文件)

3.将线上下载下来的js文件替换安装目录下:IDE安装目录下-->AppCan-IDE-->plugins-->com.appcan.ide.eclipse.hdt.sdk(最新版本)-->jssdk-->js(保证新建项目使用模版是最新的js文件)

->>更新日志


以上信息是否解决您的问题?

免费注册,快速体验

还需要帮助吗? 联系我们
最新更新 27th Mar 2017